MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001148XdebugUsage problems (Wrong Results)public2015-05-04 17:122015-05-13 08:38
Reporterchoma 
Assigned Toderick 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSDebian GNU/LinuxOS VersionJessie amd64
Product Version2.3.2 
Target VersionFixed in Version2.3.3 
Summary0001148: Can't disable max_nesting_function
DescriptionI'm on Debian 8 (Jessie), using php 5.6.7-1 and xdebug 2.3.2-1
Before, I was able to disable max_nesting_level setting by giving it the value -1.
Now, I'm getting an error:
PHP Fatal error: Maximum function nesting level of '-1' reached, aborting! in Unknown on line 0

If I set it to a high value (like 1000), then it works.
Is there a new value to disable max_nesting_level?
Steps To ReproduceAdd setting:
xdebug.max_nesting_level=-1

to php.ini configuration file (or a custom ini file, in my case: /etc/php5/apache2/conf.d/custom.ini )
Additional InformationMaybe it is related to 0001100 bug?
http://bugs.xdebug.org/bug_view_page.php?bug_id=00001100 [^]

Here is my environment information:

# uname -a
Linux choma 3.16.0-4-amd64 #1 SMP Debian 3.16.7-ckt9-3 (2015-04-23) x86_64 GNU/Linux

# php -v
PHP 5.6.7-1 (cli) (built: Mar 24 2015 12:30:15)
Copyright (c) 1997-2015 The PHP Group
Zend Engine v2.6.0, Copyright (c) 1998-2015 Zend Technologies
    with Zend OPcache v7.0.4-dev, Copyright (c) 1999-2015, by Zend Technologies
    with Xdebug v2.3.2, Copyright (c) 2002-2015, by Derick Rethans

# aptitude show php5-xdebug
Paquete: php5-xdebug
Estado: instalado
Instalado automáticamente: no
Versión: 2.3.2-1
Prioridad: opcional
Sección: php
Desarrollador: Debian PHP PECL Maintainers <pkg-php-pecl@lists.alioth.debian.org>
Arquitectura: amd64
Tamaño sin comprimir: 1.073 k
Depende de: ucf, libc6 (>= 2.15), phpapi-20131226
TagsNo tags attached.
Operating SystemLinux choma 3.16.0-4-amd64 #1 SMP Debian 3.16.7-ckt9-3 (2015-04-23) x86_64 GNU/Linux
PHP Version5.6.5-5.6.9
Attached Files

- Relationships

-  Notes
(0003086)
derick (administrator)
2015-05-13 08:38

Fixed for Xdebug 2.3.3 and 3.0.0dev - thanks for your report!

- Issue History
Date Modified Username Field Change
2015-05-04 17:12 choma New Issue
2015-05-13 08:38 derick Note Added: 0003086
2015-05-13 08:38 derick Status new => closed
2015-05-13 08:38 derick Assigned To => derick
2015-05-13 08:38 derick Resolution open => fixed
2015-05-13 08:38 derick Fixed in Version => 2.3.3
2016-07-31 13:36 derick Category Usage problems => Usage problems (Crashes)
2016-07-31 13:38 derick Category Usage problems (Crashes) => Usage problems (Wrong Results)


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker